API ReferenceCoupons
Batch delete coupons
Delete multiple coupons in one request by sending the coupon IDs in resources.
Delete multiple coupons in one request by sending the coupon IDs in resources.
DELETE
header
AuthorizationBearer <API Key>Provide your SellApp API key as a bearer token.
with_trashed?booleanInclude soft-deleted resources in the result.
Default
falseonly_trashed?booleanReturn only soft-deleted resources. Ignored when with_trashed is true.
Default
falseX-STORE?stringStore slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.
application/json- body
resources*array<integer>Successful response.
application/json- response
data*array<>curl -X DELETE 'https://sell.app/api/v2/coupons/batch' \ -H 'X-STORE: launch-lab' \ -H 'Content-Type: application/json' \ -d '{ "resources": [ 1, 2 ]}'{ "data": [ { "id": 1, "code": "BONANZA", "type": "PERCENTAGE", "discount": "80", "limit": null, "store_wide": true, "minimum_amount": null, "expires_at": null, "created_at": "2022-12-12T12:12:12.000000Z", "updated_at": "2026-08-30T12:00:01.000000Z", "store_id": 1, "deleted_at": "2026-08-30T12:00:01.000000Z", "products": [], "product_variants": [], "maximum_discount_amount": null, "applies_to": "one_time", "subscription_payments": null }, { "id": 2, "code": "BONANZA2", "type": "PERCENTAGE", "discount": "80", "limit": null, "store_wide": true, "minimum_amount": null, "expires_at": null, "created_at": "2022-12-12T12:12:12.000000Z", "updated_at": "2026-08-30T12:00:01.000000Z", "store_id": 1, "deleted_at": "2026-08-30T12:00:01.000000Z", "products": [], "product_variants": [], "maximum_discount_amount": null, "applies_to": "one_time", "subscription_payments": null } ]}